Bug 497122 - multi-org, removing access from only one org results in incorrect message
multi-org, removing access from only one org results in incorrect message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Jay Dobies
wes hayutin
https://fjs-0-03.rhndev.redhat.com/rh...
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-04-22 09:15 EDT by wes hayutin
Modified: 2009-09-10 15:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:49:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ss (175.26 KB, image/png)
2009-04-22 09:15 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2009-04-22 09:15:43 EDT
Created attachment 340734 [details]
ss

Description of problem:
4/14 build

If I have a channel that has protected access to one org only, and then I remove the access to that org.. I get the following message.

There was no selection. Please make your selection and try again.
0 trusted organizations enabled.


We should remove or fix the first part of that message.
"There was no selection. Please make your selection and try again."

In this case no selections is correct.

see attachment
Comment 1 Jay Dobies 2009-04-30 15:39:21 EDT
commit	83c6c97c67e7d3a251c89a3c23e7ebad0d7e97dc
tree	a6457cbb21f861851a311bfc67c5e2f6cfa05247

java/code/src/com/redhat/rhn/frontend/action/multiorg/OrgChannelListAction.java
java/code/src/com/redhat/rhn/frontend/taglibs/list/helper/ListSetHelper.java
java/code/webapp/WEB-INF/pages/multiorg/channels/orglist.jsp

Fixed error message where no selected organizations would appear as a selection error.

Also ported the code to follow the common model for ListTag 3.0 and fixed a small error in ListTag where ignoring empty selections would cause the dispatch to not be registered.
Comment 2 Jay Dobies 2009-04-30 15:40:31 EDT
Vader

commit	cf9b8bf8a88c40dd0a025d7b88fa70266445433e
tree	1ab8ba56ef6905430b15bfc0c3edbb55b71fa718
Comment 3 wes hayutin 2009-05-27 13:44:10 EDT
verified 5/21.1 build
Comment 4 Preethi Thomas 2009-07-31 11:54:00 EDT
release pending
https://sun-x4200-01.rhts.bos.redhat.com
0 trusted organizations enabled.
Comment 5 Brandon Perkins 2009-09-10 15:49:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.